CYPHER-LINT(1)

NAME
cypher-lint - a linting tool for Cypher

SYNOPSIS
cypher-lint [options] [file ...]

DESCRIPTION
cypher-lint is a linting tool for Cypher. It reads from input files, reports any errors found, and optionally outputs the parsed AST. If file is a single dash (`-') or absent, cypher-lint reads from standard input.

OPTIONS

-1  Only parse the first statement or client command and then exit.

-a, --ast
    Output an AST representation for the parsed input.

--colorize
    Enable colorization of output and errors using ANSI escape sequences.

--no-colorize
    Disable colorization of output and errors even when connected to a TTY.

-h, --help
    Display a brief help listing.

--only-statements
    Only parse cypher statements and not client commands.

--output-width <n>
    Attempt to limit output to the specified width, and render using wrapped columns.

--stream
    Output each statement as it is read, rather than parsing the entire input first (note: will result in inconsistent formatting of AST dumps).

--version
    Print the cypher-lint version and exit.

EXIT STATUS
cypher-lint exits 0 if no errors are found, and >0 otherwise.

VERSION
This man page is current for version 0.6.2 of cypher-lint.

COPYRIGHT
http://www.apache.org/licenses/LICENSE-2.0

AUTHORS
Chris Leishman (http://github.com/cleishm)